#pragma once
#include <Arduino.h>
#include "pitches.h"

class SmartSound
{
public:
    enum Sound {
        NeverGonna,
        Bing,
    };

public:
    SmartSound(int buzzerPin);
    void play(Sound sound, int tempo = 144);

private:
    int m_buzzerPin;
    void playSound(int melody[], int notes, int tempo = 114);
};