#pragma once

#include <Adafruit_PN532.h>

class SmartRFID
{

public:
    SmartRFID(Adafruit_PN532 *nfc);
    void init();
    String readTag(uint16_t timeoutMillis);

private:
    String string_dump_byte_array(byte *buffer, byte bufferSize);

private:
    unsigned long m_cardid;
    Adafruit_PN532 *m_nfc;

};